Package ghidra.features.bsim.query.protocol

# Class ResponseUpdate

java.lang.Object
ghidra.features.bsim.query.protocol.QueryResponseRecord
ghidra.features.bsim.query.protocol.ResponseUpdate

public class ResponseUpdate extends QueryResponseRecord
Response to a QueryUpdate request to a BSim database. Simple counts of successful updates are given. References to any original ExecutableRecord or FunctionDescription objects that could not be updated are also returned.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `List<ExecutableRecord>`
  `badexe`
  `List<FunctionDescription>`
  `badfunc`
  `int`
  `exeupdate`
  `int`
  `funcupdate`
  `QueryUpdate`
  `qupdate`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.QueryResponseRecord

  `name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseUpdate(QueryUpdate q)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.QueryResponseRecord

  `getDescriptionManager, getLocalStagingCopy, getName, mergeResults, sort`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### badexe

    public List<ExecutableRecord> badexe

  - ### badfunc

    public List<FunctionDescription> badfunc

  - ### exeupdate

    public int exeupdate

  - ### funcupdate

    public int funcupdate

  - ### qupdate

    public QueryUpdate qupdate

- ## Constructor Details

  - ### ResponseUpdate

    public ResponseUpdate(QueryUpdate q)

- ## Method Details

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `QueryResponseRecord`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `QueryResponseRecord`
    Throws:
      `LSHException`